﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Brick : MonoBehaviour { 

	public AudioClip crack;
	public Sprite[] hitSprites;
	public static int breakableCount;

	private int timesHit;
	private LevelManager levelManager;
	private bool isBreakable;


	// Use this for initialization
	void Start () {
		isBreakable = (this.tag == "Breakable");
		if (isBreakable) {
			breakableCount = breakableCount + 1;
		}

		timesHit = 0;
		levelManager = GameObject.FindObjectOfType<LevelManager> ();
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	void OnCollisionEnter2D(Collision2D collider){
		AudioSource.PlayClipAtPoint (crack, transform.position, 1f);

		if (isBreakable) {
			HandleHits ();
		}
	}

	void HandleHits(){
		timesHit = timesHit + 1;
		int maxHits = hitSprites.Length + 1;
		if (timesHit >= maxHits) {
			breakableCount--;
			Debug.Log (breakableCount);
			levelManager.BrickDestroyed ();
			Destroy (gameObject);
		} else {
			LoadSprites ();
		}
	}

	void LoadSprites(){
		int spriteIndex = timesHit - 1;
		if(hitSprites[spriteIndex]){
		this.GetComponent<SpriteRenderer> ().sprite = hitSprites[spriteIndex];
		}
	}

	//TODO Remove this method once we can actually win.
	void SimulateWin(){
		levelManager.LoadNextLevel ();
	}
}
